ALLEGRO_LINE_CAP(3)

NAME

ALLEGRO_LINE_CAP - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    typedef enum ALLEGRO_LINE_CAP

DESCRIPTION

•   ALLEGRO_LINE_CAP_NONE

•   ALLEGRO_LINE_CAP_SQUARE

•   ALLEGRO_LINE_CAP_ROUND

•   ALLEGRO_LINE_CAP_TRIANGLE

•   ALLEGRO_LINE_CAP_CLOSED

[IMAGE: ALLEGRO_LINE_CAP styles]

See the picture for the difference.

ALLEGRO_LINE_CAP_CLOSED is different from the others - it causes the polygon to have no caps. (And the ALLEGRO_LINE_JOIN(3) style will determine how the vertex looks.)

SINCE

5.1.0

SEE ALSO

al_draw_polygon(3)